petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCGetInitialGuessNonzero

Determines if the iterative solver assumes that the initial guess is nonzero; otherwise PC assumes the initial guess is to be zero (and thus zeros it out before solving).

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCGetInitialGuessNonzero(PC pc,PetscBool *flg)

Logically Collective on PC

### Input Parameter

pc -iterative context obtained from PCCreate()

### Output Parameter

flg -PETSC_TRUE indicates the guess is non-zero, PETSC_FALSE indicates the guess is zero

### Keywords

PC, set, initial guess, nonzero

### See Also

PCGetInitialGuessNonzero(), PCSetInitialGuessKnoll(), PCGetInitialGuessKnoll(), PCSetInitialGuessNonzero()

Level:Developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages